## net.sf.saxon.regex
Class SurrogateRegexTranslator.CharRange

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
              net.sf.saxon.regex.SurrogateRegexTranslator.CharRange

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.CharRange

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches any character within a range of codepoints

Constructor Summary
`SurrogateRegexTranslator.CharRange(int lower, int upper)` Create a character class for a range of characters

Method Summary
`void` `addNonBmpRanges(java.util.List ranges)` Add to a supplied List, ranges of non-BMP characters that are matched by this character class.
`void` `inClassOutputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.CharClass
`getContainsBmp, getContainsNonBmp, getSingleChar, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.CharRange

    public SurrogateRegexTranslator.CharRange(int lower,
                                              int upper)

  Create a character class for a range of characters

  Parameters:
    `lower` - the lower end of the range
    `upper` - the upper end of the range

Method Detail

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Description copied from class: `SurrogateRegexTranslator.SimpleCharClass`
  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer, using regex syntax that will be valid within a character class expression (that is, within square brackets)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### addNonBmpRanges

    public void addNonBmpRanges(java.util.List ranges)

  Description copied from class: `SurrogateRegexTranslator.CharClass`
  Add to a supplied List, ranges of non-BMP characters that are matched by this character class. Default implementation does nothing.

  Overrides:
    `addNonBmpRanges` in class `SurrogateRegexTranslator.CharClass`
  Parameters:
    `ranges` - a List to which this method will add zero or more Range objects denoting ranges of non-BMP characters

Copyright (c) Saxonica Limited. All rights reserved.